Subject: Re: bug#67851: 29.1; log-edit clobbers global binding for C-a

From: Stefan Kangas <[email-masked]>
Date: Sat, 16 Dec 2023 11:23:35 -0800

Version: 30.1

Jared Finder via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> log-edit-mode-map directly binds C-a to log-edit-beginning-of-line,
> overwriting any local change a user has made.  This impacts me because I
> have C-a bound to mark-whole-buffer, using <home> instead for
> move-beginning-of-line.
>
> The attached simple patch switches log-edit to use <remap> to achieve
> the same goal.

Thanks, installed on master.

(I borked commit message by mistake: I didn't apply my edits to the
commit message before pushing.  Sorry about that.)